import 'dart:collection';

import 'package:parse_text/constants.dart';

class stack<T> {
  List<T> _stack = [];

  void push(T element) {
    _stack.add(element);
  }

  T pop() {
    final T lastElement = _stack.last;
    _stack.removeLast();
    return lastElement;
  }

  void clear() {
    _stack.clear();
  }

  T top() {
    return _stack.isEmpty ? null : _stack.last;
  }

  bool contains(TAGS tag) {
    return _stack.contains(tag);
  }

  T remove(T) {
    int index = _stack.lastIndexOf(T);
    if (index != null && index != -1) {
      _stack.removeAt(index);
    }
  }

  T removeAll(T) {
    _stack.removeWhere((element) => element == T);
  }

  int count(T) {
    int len = 0;
    _stack.forEach((element) {
      if (element == T) len += 1;
    });
    return len;
  }

  bool get isEmpty => _stack.isEmpty;
}
